/**
 * Copyright (c) 2018 开源 All rights reserved.
 *
 * https://www.link.io
 *
 * 版权所有，侵权必究！
 */

package com.link.modules.message.service;

import com.link.common.service.CrudService;
import com.link.modules.message.dto.SysMailTemplateDTO;
import com.link.modules.message.entity.SysMailTemplateEntity;

/**
 * 邮件模板
 *
 * @author Mark sunlightcs@gmail.com
 */
public interface SysMailTemplateService extends CrudService<SysMailTemplateEntity, SysMailTemplateDTO> {

    /**
     * 发送邮件
     * @param id           邮件模板ID
     * @param mailTo       收件人
     * @param mailCc       抄送
     * @param params       模板参数
     */
    boolean sendMail(Long id, String mailTo, String mailCc, String params) throws Exception;
}