/**
 * Copyright (c) 2018 开源 All rights reserved.
 * <p>
 * https://www.link.io
 * <p>
 * 版权所有，侵权必究！
 */

package com.link.modules.sys.service;

import com.link.common.service.BaseService;
import com.link.modules.sys.dto.SysDeptDTO;
import com.link.modules.sys.entity.SysDeptEntity;

import java.util.List;
import java.util.Map;

/**
 * 部门管理
 *
 * @author Mark sunlightcs@gmail.com
 */
public interface SysDeptService extends BaseService<SysDeptEntity> {

    List<SysDeptDTO> list(Map<String, Object> params);

    SysDeptDTO get(Long id);

    void save(SysDeptDTO dto);

    void update(SysDeptDTO dto);

    void delete(Long id);

    /**
     * 根据部门ID，获取本部门及子部门ID列表
     *
     * @param id 部门ID
     */
    List<Long> getSubDeptIdList(Long id);

    /**
     * 获取列表
     *
     * @param params 查询参数
     * @return 列表
     */
    List<SysDeptDTO> getJoinList(Map<String, Object> params);

    /**
     * 根据微信中的部门创建
     *
     * @param deptName 部门名称全称 使用\分隔
     * @return 部门ID
     */
    Long insertNewDeptFromWx(String deptName);
}