/**
 * Copyright (c) 2018 开源 All rights reserved.
 *
 * https://www.link.io
 *
 * 版权所有，侵权必究！
 */

package com.link.service;

import com.link.common.service.BaseService;
import com.link.entity.TokenEntity;

/**
 * 用户Token
 * 
 * @author Mark sunlightcs@gmail.com
 */
public interface TokenService extends BaseService<TokenEntity> {

	TokenEntity getByToken(String token);

	/**
	 * 生成token
	 * @param email  用户邮箱
	 * @return        返回token信息
	 */
	TokenEntity createToken(String email);

	/**
	 * 设置token过期
	 * @param email 用户邮箱
	 */
	void expireToken(String email);

}
