package com.link.service.impl;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.ArrayUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.link.common.service.impl.CrudServiceImpl;
import com.link.dao.BdajobConfigDao;
import com.link.dao.BdajobDao;
import com.link.dto.BdajobConfigDTO;
import com.link.dto.BdajobDTO;
import com.link.entity.BdajobConfigEntity;
import com.link.entity.BdajobEntity;
import com.link.service.BdajobConfigService;
import com.link.service.BdajobService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @author Mr.Feng zhijian.feng@hrtuoyu.com
 * @since 1.0.0 2020-04-13
 */
@Service
public class BdajobConfigServiceImpl extends CrudServiceImpl<BdajobConfigDao, BdajobConfigEntity, BdajobConfigDTO> implements BdajobConfigService {

    @Override
    public QueryWrapper<BdajobConfigEntity> getWrapper(Map<String, Object> params) {
        String id = (String) params.get("id");
        String jobId = Convert.toStr(params.get("jobId"));
        String[] fieldCodeArr = (String[]) params.get("fieldCodeArr");
        Integer fieldType = Convert.toInt(params.get("fieldType"));

        QueryWrapper<BdajobConfigEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);
        wrapper.eq(StrUtil.isNotBlank(jobId), "job_id", jobId);
        if (ArrayUtil.isNotEmpty(fieldCodeArr)) {
            wrapper.in("field_code", fieldCodeArr);
        }
        wrapper.eq(fieldType != null, "field_type", fieldType);

        return wrapper;
    }


}